Subject: Netatalk access privilege problem

From: Andy Reid (Tel +44 784 443176) <[email-masked]>
Date: Wed, 22 Jun 1994 18:24:42 +0000

I am running Netatalk 1.3 on a Sparc Classic running SunOS 4.1.3 and have set up 
a user account with user access privileges.
 
The user chooses the mounted disk and enters his password as appropriate. The 
folder is opened. If he then tries to create a folder on that file system he 
gets the error:
 
"You cannot create a folder in the window <nnnnn> because you do not have enough 
access privileges"
 
If he clicks OK there is a pause and then the folder is created.
 
If he tries to move an existing folder complete with messages, by dragging and 
dropping the folder into the same window the same thing happens except that 
after OKing the error message he then gets similar errors for each file moved. 
If he clicks Continue for each error he eventually is left with the new folder
created, but nothing in it.
 
This behaviour seems odd.
 
Any thoughts?
 
Andy Reid
RHBNC

---

From: [email-masked]
Date: Wed, 22 Jun 1994 13:34:05 -0400

> From:    Andy Reid <[email-masked]> (Tel +44 784 443176)
> To:      [email-masked] (Non Receipt Notification Requested)

> If he then tries to create a folder on that file system he 
> gets the error:

> "You cannot create a folder in the window <nnnnn> because you do not have
> enough access privileges"

> If he clicks OK there is a pause and then the folder is created.

This is a very commmon configuration error.  The user is not in the
group of the parent directory.  When the Mac attempts to set the group
of the newly created directory to be the same as the parent, this error
is generated.  The fix is to change the group of the directory to a
group the user is a member of.

:wes